Modify

Opened 11 years ago

Closed 11 years ago

Last modified 11 years ago

#5715 closed defect (fixed)

imagery stalls JOSM

Reported by: skyper Owned by: Upliner
Priority: critical Milestone:
Component: Core imagery Version: latest
Keywords: imagery stalls Cc:

Description

I have a fresh GNU Debian squeeze system with openjdk.

with imagery-plugin installed JOSM stalls before the download-dialog and if I download without the plugin and load the file with installed imagery-plugin, JOSM stalls trying to open BING.

r3701,

I made a dump trying to download:

Using /usr/lib/jvm/java-6-openjdk/bin/java to execute josm.
Repository Root: http://josm.openstreetmap.de/svn
Build-Date: 2010-12-07 02:31:23
Last Changed Author: bastiK
Revision: 3701
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
URL: http://josm.openstreetmap.de/svn/trunk
Last Changed Date: 2010-12-06 21:19:45 +0100 (Mon, 06 Dec 2010)
Last Changed Rev: 3701

lade Plugin 'remotecontrol' (Version 22734)
RemoteControl::Accepting connections on port 8111
lade Plugin 'imagery' (Version 24615)
ImageryPlugin: initializing remote control
RemoteControl: adding command "imagery" (handled by ImageryRemoteHandler)
lade Plugin 'cadastre-fr' (Version 22850)
Pluging cadastre-fr v2.0 started...
current cache directory: /home2/test/.josm-latest/plugins/cadastrewms/
shortcut F11 already redefined; do not change
2010-12-08 03:44:55
Full thread dump OpenJDK Client VM (16.0-b13 mixed mode, sharing):

"OSMJobThread 1" daemon prio=10 tid=0x08e4bc00 nid=0x3c09 waiting on condition [0xb319e000]
   java.lang.Thread.State: WAITING (parking)
	at sun.misc.Unsafe.park(Native Method)
	- parking to wait for  <0x7f849998> (a java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject)
	at java.util.concurrent.locks.LockSupport.park(LockSupport.java:186)
	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2043)
	at java.util.concurrent.LinkedBlockingQueue.take(LinkedBlockingQueue.java:386)
	at org.openstreetmap.gui.jmapviewer.JobDispatcher$JobThread.executeJobs(JobDispatcher.java:111)
	at org.openstreetmap.gui.jmapviewer.JobDispatcher$JobThread.run(JobDispatcher.java:98)

"Timer-0" daemon prio=10 tid=0x08eafc00 nid=0x3c08 in Object.wait() [0xb3bd7000]
   java.lang.Thread.State: TIMED_WAITING (on object monitor)
	at java.lang.Object.wait(Native Method)
	at java.util.TimerThread.mainLoop(Timer.java:531)
	- locked <0x7f729e20> (a java.util.TaskQueue)
	at java.util.TimerThread.run(Timer.java:484)

"DestroyJavaVM" prio=10 tid=0x08ada000 nid=0x3bee waiting on condition [0x00000000]
   java.lang.Thread.State: RUNNABLE

"RemoteControl HTTP Server" daemon prio=10 tid=0x08c85000 nid=0x3c07 runnable [0xb33a7000]
   java.lang.Thread.State: RUNNABLE
	at java.net.PlainSocketImpl.socketAccept(Native Method)
	at java.net.AbstractPlainSocketImpl.accept(AbstractPlainSocketImpl.java:358)
	at java.net.ServerSocket.implAccept(ServerSocket.java:470)
	at java.net.ServerSocket.accept(ServerSocket.java:438)
	at org.openstreetmap.josm.plugins.remotecontrol.HttpServer.run(HttpServer.java:51)

"TimerQueue" daemon prio=10 tid=0x08f6d400 nid=0x3c03 waiting on condition [0xb33f8000]
   java.lang.Thread.State: WAITING (parking)
	at sun.misc.Unsafe.park(Native Method)
	- parking to wait for  <0x85066f48> (a java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject)
	at java.util.concurrent.locks.LockSupport.park(LockSupport.java:186)
	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2043)
	at java.util.concurrent.DelayQueue.take(DelayQueue.java:189)
	at javax.swing.TimerQueue.run(TimerQueue.java:167)
	at java.lang.Thread.run(Thread.java:636)

"AWT-EventQueue-0" prio=10 tid=0x08c62000 nid=0x3bfd runnable [0xb400c000]
   java.lang.Thread.State: RUNNABLE
	at java.net.SocketInputStream.socketRead0(Native Method)
	at java.net.SocketInputStream.read(SocketInputStream.java:146)
	at java.io.BufferedInputStream.fill(BufferedInputStream.java:235)
	at java.io.BufferedInputStream.read1(BufferedInputStream.java:275)
	at java.io.BufferedInputStream.read(BufferedInputStream.java:334)
	- locked <0x7f8b2690> (a java.io.BufferedInputStream)
	at sun.net.www.http.ChunkedInputStream.fastRead(ChunkedInputStream.java:239)
	at sun.net.www.http.ChunkedInputStream.read(ChunkedInputStream.java:680)
	- locked <0x7f8b4f40> (a sun.net.www.http.ChunkedInputStream)
	at java.io.FilterInputStream.read(FilterInputStream.java:133)
	at sun.net.www.protocol.http.HttpURLConnection$HttpInputStream.read(HttpURLConnection.java:2582)
	at com.sun.org.apache.xerces.internal.impl.XMLEntityManager$RewindableInputStream.read(XMLEntityManager.java:2938)
	at com.sun.org.apache.xerces.internal.impl.io.UTF8Reader.read(UTF8Reader.java:302)
	at com.sun.org.apache.xerces.internal.impl.XMLEntityScanner.load(XMLEntityScanner.java:1719)
	at com.sun.org.apache.xerces.internal.impl.XMLEntityScanner.arrangeCapacity(XMLEntityScanner.java:1596)
	at com.sun.org.apache.xerces.internal.impl.XMLEntityScanner.skipString(XMLEntityScanner.java:1634)
	at com.sun.org.apache.xerces.internal.impl.XMLDocumentFragmentScannerImpl.scanEndElement(XMLDocumentFragmentScannerImpl.java:1725)
	at com.sun.org.apache.xerces.internal.impl.XMLDocumentFragmentScannerImpl$FragmentContentDriver.next(XMLDocumentFragmentScannerImpl.java:2915)
	at com.sun.org.apache.xerces.internal.impl.XMLDocumentScannerImpl.next(XMLDocumentScannerImpl.java:625)
	at com.sun.org.apache.xerces.internal.impl.XMLNSDocumentScannerImpl.next(XMLNSDocumentScannerImpl.java:116)
	at com.sun.org.apache.xerces.internal.impl.XMLDocumentFragmentScannerImpl.scanDocument(XMLDocumentFragmentScannerImpl.java:488)
	at com.sun.org.apache.xerces.internal.parsers.XML11Configuration.parse(XML11Configuration.java:812)
	at com.sun.org.apache.xerces.internal.parsers.XML11Configuration.parse(XML11Configuration.java:741)
	at com.sun.org.apache.xerces.internal.parsers.XMLParser.parse(XMLParser.java:123)
	at com.sun.org.apache.xerces.internal.parsers.AbstractSAXParser.parse(AbstractSAXParser.java:1208)
	at org.openstreetmap.josm.plugins.imagery.tms.BingAerialTileSource.loadAttributionText(BingAerialTileSource.java:102)
	at org.openstreetmap.josm.plugins.imagery.tms.BingAerialTileSource.<init>(BingAerialTileSource.java:29)
	at org.openstreetmap.josm.plugins.imagery.tms.TMSPreferences.getTileSource(TMSPreferences.java:95)
	at org.openstreetmap.josm.plugins.imagery.tms.TMSTileSourceProvider.getTileSources(TMSTileSourceProvider.java:32)
	at org.openstreetmap.josm.gui.bbox.SlippyMapBBoxChooser.<init>(SlippyMapBBoxChooser.java:144)
	at org.openstreetmap.josm.gui.download.SlippyMapChooser.<init>(SlippyMapChooser.java:31)
	at org.openstreetmap.josm.gui.download.DownloadDialog.buildMainPanel(DownloadDialog.java:106)
	at org.openstreetmap.josm.gui.download.DownloadDialog.<init>(DownloadDialog.java:181)
	at org.openstreetmap.josm.gui.download.DownloadDialog.getInstance(DownloadDialog.java:66)
	at org.openstreetmap.josm.actions.DownloadAction.actionPerformed(DownloadAction.java:39)
	at javax.swing.AbstractButton.fireActionPerformed(AbstractButton.java:2012)
	at javax.swing.AbstractButton$Handler.actionPerformed(AbstractButton.java:2335)
	at javax.swing.DefaultButtonModel.fireActionPerformed(DefaultButtonModel.java:404)
	at javax.swing.DefaultButtonModel.setPressed(DefaultButtonModel.java:259)
	at javax.swing.plaf.basic.BasicButtonListener.mouseReleased(BasicButtonListener.java:253)
	at java.awt.AWTEventMulticaster.mouseReleased(AWTEventMulticaster.java:289)
	at java.awt.Component.processMouseEvent(Component.java:6108)
	at javax.swing.JComponent.processMouseEvent(JComponent.java:3267)
	at java.awt.Component.processEvent(Component.java:5873)
	at java.awt.Container.processEvent(Container.java:2105)
	at java.awt.Component.dispatchEventImpl(Component.java:4469)
	at java.awt.Container.dispatchEventImpl(Container.java:2163)
	at java.awt.Component.dispatchEvent(Component.java:4295)
	at java.awt.LightweightDispatcher.retargetMouseEvent(Container.java:4461)
	at java.awt.LightweightDispatcher.processMouseEvent(Container.java:4125)
	at java.awt.LightweightDispatcher.dispatchEvent(Container.java:4055)
	at java.awt.Container.dispatchEventImpl(Container.java:2149)
	at java.awt.Window.dispatchEventImpl(Window.java:2478)
	at java.awt.Component.dispatchEvent(Component.java:4295)
	at java.awt.EventQueue.dispatchEvent(EventQueue.java:604)
	at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:275)
	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:200)
	at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:190)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:185)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:177)
	at java.awt.EventDispatchThread.run(EventDispatchThread.java:138)

"AWT-Shutdown" prio=10 tid=0x08c61400 nid=0x3bfc in Object.wait() [0xb3fbb000]
   java.lang.Thread.State: WAITING (on object monitor)
	at java.lang.Object.wait(Native Method)
	at java.lang.Object.wait(Object.java:502)
	at sun.awt.AWTAutoShutdown.run(AWTAutoShutdown.java:281)
	- locked <0x84f31bb0> (a java.lang.Object)
	at java.lang.Thread.run(Thread.java:636)

"AWT-XAWT" daemon prio=10 tid=0x08c45000 nid=0x3bf7 runnable [0xb405d000]
   java.lang.Thread.State: RUNNABLE
	at sun.awt.X11.XToolkit.waitForEvents(Native Method)
	at sun.awt.X11.XToolkit.run(XToolkit.java:568)
	at sun.awt.X11.XToolkit.run(XToolkit.java:543)
	at java.lang.Thread.run(Thread.java:636)

"Java2D Disposer" daemon prio=10 tid=0x08c0b800 nid=0x3bf6 in Object.wait() [0xb4119000]
   java.lang.Thread.State: WAITING (on object monitor)
	at java.lang.Object.wait(Native Method)
	- waiting on <0x84cd2988> (a java.lang.ref.ReferenceQueue$Lock)
	at java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:133)
	- locked <0x84cd2988> (a java.lang.ref.ReferenceQueue$Lock)
	at java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:149)
	at sun.java2d.Disposer.run(Disposer.java:143)
	at java.lang.Thread.run(Thread.java:636)

"Low Memory Detector" daemon prio=10 tid=0x08b46c00 nid=0x3bf4 runnable [0x00000000]
   java.lang.Thread.State: RUNNABLE

"CompilerThread0" daemon prio=10 tid=0x08b44c00 nid=0x3bf3 waiting on condition [0x00000000]
   java.lang.Thread.State: RUNNABLE

"Signal Dispatcher" daemon prio=10 tid=0x08b43000 nid=0x3bf2 waiting on condition [0x00000000]
   java.lang.Thread.State: RUNNABLE

"Finalizer" daemon prio=10 tid=0x08b3ac00 nid=0x3bf1 in Object.wait() [0xb49bb000]
   java.lang.Thread.State: WAITING (on object monitor)
	at java.lang.Object.wait(Native Method)
	at java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:133)
	- locked <0x84984e58> (a java.lang.ref.ReferenceQueue$Lock)
	at java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:149)
	at java.lang.ref.Finalizer$FinalizerThread.run(Finalizer.java:177)

"Reference Handler" daemon prio=10 tid=0x08b39400 nid=0x3bf0 in Object.wait() [0xb4a0c000]
   java.lang.Thread.State: WAITING (on object monitor)
	at java.lang.Object.wait(Native Method)
	at java.lang.Object.wait(Object.java:502)
	at java.lang.ref.Reference$ReferenceHandler.run(Reference.java:133)
	- locked <0x84984ee0> (a java.lang.ref.Reference$Lock)

"VM Thread" prio=10 tid=0x08b37c00 nid=0x3bef runnable 

"VM Periodic Task Thread" prio=10 tid=0x08b4a400 nid=0x3bf5 waiting on condition 

JNI global references: 980

Heap
 def new generation   total 7744K, used 4557K [0x7f500000, 0x7fd60000, 0x84850000)
  eden space 6912K,  58% used [0x7f500000, 0x7f8ee700, 0x7fbc0000)
  from space 832K,  63% used [0x7fc90000, 0x7fd14fd8, 0x7fd60000)
  to   space 832K,   0% used [0x7fbc0000, 0x7fbc0000, 0x7fc90000)
 tenured generation   total 16996K, used 14713K [0x84850000, 0x858e9000, 0x8ef00000)
   the space 16996K,  86% used [0x84850000, 0x856ae5a0, 0x856ae600, 0x858e9000)
 compacting perm gen  total 12288K, used 7266K [0x8ef00000, 0x8fb00000, 0x92f00000)
   the space 12288K,  59% used [0x8ef00000, 0x8f6188a0, 0x8f618a00, 0x8fb00000)
    ro space 10240K,  72% used [0x92f00000, 0x9364a9e0, 0x9364aa00, 0x93900000)
    rw space 12288K,  60% used [0x93900000, 0x9403b0d0, 0x9403b200, 0x94500000)


and one trying to open the layer

Using /usr/lib/jvm/java-6-openjdk/bin/java to execute josm.
Repository Root: http://josm.openstreetmap.de/svn
Build-Date: 2010-12-07 02:31:23
Last Changed Author: bastiK
Revision: 3701
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
URL: http://josm.openstreetmap.de/svn/trunk
Last Changed Date: 2010-12-06 21:19:45 +0100 (Mon, 06 Dec 2010)
Last Changed Rev: 3701

lade Plugin 'remotecontrol' (Version 22734)
RemoteControl::Accepting connections on port 8111
lade Plugin 'imagery' (Version 24615)
ImageryPlugin: initializing remote control
RemoteControl: adding command "imagery" (handled by ImageryRemoteHandler)
lade Plugin 'OpeningHoursEditor' (Version 24290)
lade Plugin 'cadastre-fr' (Version 22850)
Pluging cadastre-fr v2.0 started...
current cache directory: /home2/test/.josm-latest/plugins/cadastrewms/
shortcut F11 already redefined; do not change
^Ctest@schleicher:~$ java -jar /usr/local/share/josm/josm-latest.jar 
Warnung: Fehlende Einstellungsdatei "/home2/test/.josm/preferences". Erstelle Datei mit Standardeinstellungen.
Repository Root: http://josm.openstreetmap.de/svn
Build-Date: 2010-12-07 02:31:23
Last Changed Author: bastiK
Revision: 3701
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
URL: http://josm.openstreetmap.de/svn/trunk
Last Changed Date: 2010-12-06 21:19:45 +0100 (Mon, 06 Dec 2010)
Last Changed Rev: 3701

Warnung: Eigenschaft "proxy.policy" nicht gefunden.
Proxy wird nicht verwendet.
test@schleicher:~$ josm-latest 
Using /usr/lib/jvm/java-6-openjdk/bin/java to execute josm.
Repository Root: http://josm.openstreetmap.de/svn
Build-Date: 2010-12-07 02:31:23
Last Changed Author: bastiK
Revision: 3701
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
URL: http://josm.openstreetmap.de/svn/trunk
Last Changed Date: 2010-12-06 21:19:45 +0100 (Mon, 06 Dec 2010)
Last Changed Rev: 3701

lade Plugin 'remotecontrol' (Version 22734)
RemoteControl::Accepting connections on port 8111
lade Plugin 'imagery' (Version 24615)
ImageryPlugin: initializing remote control
RemoteControl: adding command "imagery" (handled by ImageryRemoteHandler)
lade Plugin 'OpeningHoursEditor' (Version 24290)
lade Plugin 'cadastre-fr' (Version 22850)
Pluging cadastre-fr v2.0 started...
current cache directory: /home2/test/.josm-latest/plugins/cadastrewms/
shortcut F11 already redefined; do not change
shortcut F11 already redefined; do not change
test@schleicher:~$ josm-latest 
Using /usr/lib/jvm/java-6-openjdk/bin/java to execute josm.
Repository Root: http://josm.openstreetmap.de/svn
Build-Date: 2010-12-07 02:31:23
Last Changed Author: bastiK
Revision: 3701
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
URL: http://josm.openstreetmap.de/svn/trunk
Last Changed Date: 2010-12-06 21:19:45 +0100 (Mon, 06 Dec 2010)
Last Changed Rev: 3701

lade Plugin 'remotecontrol' (Version 22734)
RemoteControl::Accepting connections on port 8111
lade Plugin 'imagery' (Version 24615)
ImageryPlugin: initializing remote control
RemoteControl: adding command "imagery" (handled by ImageryRemoteHandler)
lade Plugin 'cadastre-fr' (Version 22850)
Pluging cadastre-fr v2.0 started...
current cache directory: /home2/test/.josm-latest/plugins/cadastrewms/
shortcut F11 already redefined; do not change
^Ctest@schleicher:~$ josm-latest 
Using /usr/lib/jvm/java-6-openjdk/bin/java to execute josm.
Repository Root: http://josm.openstreetmap.de/svn
Build-Date: 2010-12-07 02:31:23
Last Changed Author: bastiK
Revision: 3701
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
URL: http://josm.openstreetmap.de/svn/trunk
Last Changed Date: 2010-12-06 21:19:45 +0100 (Mon, 06 Dec 2010)
Last Changed Rev: 3701

lade Plugin 'remotecontrol' (Version 22734)
RemoteControl::Accepting connections on port 8111
lade Plugin 'imagery' (Version 24615)
ImageryPlugin: initializing remote control
RemoteControl: adding command "imagery" (handled by ImageryRemoteHandler)
lade Plugin 'cadastre-fr' (Version 22850)
Pluging cadastre-fr v2.0 started...
current cache directory: /home2/test/.josm-latest/plugins/cadastrewms/
shortcut F11 already redefined; do not change
shortcut F11 already redefined; do not change
test@schleicher:~$ josm-latest 
Using /usr/lib/jvm/java-6-openjdk/bin/java to execute josm.
Repository Root: http://josm.openstreetmap.de/svn
Build-Date: 2010-12-07 02:31:23
Last Changed Author: bastiK
Revision: 3701
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
URL: http://josm.openstreetmap.de/svn/trunk
Last Changed Date: 2010-12-06 21:19:45 +0100 (Mon, 06 Dec 2010)
Last Changed Rev: 3701

lade Plugin 'remotecontrol' (Version 22734)
RemoteControl::Accepting connections on port 8111
lade Plugin 'cadastre-fr' (Version 22850)
Pluging cadastre-fr v2.0 started...
current cache directory: /home2/test/.josm-latest/plugins/cadastrewms/
shortcut F11 already redefined; do not change
shortcut F11 already redefined; do not change
test@schleicher:~$ josm-latest 
Using /usr/lib/jvm/java-6-openjdk/bin/java to execute josm.
Repository Root: http://josm.openstreetmap.de/svn
Build-Date: 2010-12-07 02:31:23
Last Changed Author: bastiK
Revision: 3701
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
URL: http://josm.openstreetmap.de/svn/trunk
Last Changed Date: 2010-12-06 21:19:45 +0100 (Mon, 06 Dec 2010)
Last Changed Rev: 3701

lade Plugin 'remotecontrol' (Version 22734)
RemoteControl::Accepting connections on port 8111
lade Plugin 'imagery' (Version 24615)
ImageryPlugin: initializing remote control
RemoteControl: adding command "imagery" (handled by ImageryRemoteHandler)
lade Plugin 'cadastre-fr' (Version 22850)
Pluging cadastre-fr v2.0 started...
current cache directory: /home2/test/.josm-latest/plugins/cadastrewms/
shortcut F11 already redefined; do not change
^Ctest@schleicher:~$ josm-latest 
Using /usr/lib/jvm/java-6-openjdk/bin/java to execute josm.
Repository Root: http://josm.openstreetmap.de/svn
Build-Date: 2010-12-07 02:31:23
Last Changed Author: bastiK
Revision: 3701
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
URL: http://josm.openstreetmap.de/svn/trunk
Last Changed Date: 2010-12-06 21:19:45 +0100 (Mon, 06 Dec 2010)
Last Changed Rev: 3701

lade Plugin 'remotecontrol' (Version 22734)
RemoteControl::Accepting connections on port 8111
lade Plugin 'imagery' (Version 24615)
ImageryPlugin: initializing remote control
RemoteControl: adding command "imagery" (handled by ImageryRemoteHandler)
lade Plugin 'cadastre-fr' (Version 22850)
Pluging cadastre-fr v2.0 started...
current cache directory: /home2/test/.josm-latest/plugins/cadastrewms/
shortcut F11 already redefined; do not change
test@schleicher:~$ josm-latest 
Using /usr/lib/jvm/java-6-openjdk/bin/java to execute josm.
Repository Root: http://josm.openstreetmap.de/svn
Build-Date: 2010-12-07 02:31:23
Last Changed Author: bastiK
Revision: 3701
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
URL: http://josm.openstreetmap.de/svn/trunk
Last Changed Date: 2010-12-06 21:19:45 +0100 (Mon, 06 Dec 2010)
Last Changed Rev: 3701

lade Plugin 'remotecontrol' (Version 22734)
RemoteControl::Accepting connections on port 8111
lade Plugin 'imagery' (Version 24615)
ImageryPlugin: initializing remote control
RemoteControl: adding command "imagery" (handled by ImageryRemoteHandler)
lade Plugin 'cadastre-fr' (Version 22850)
Pluging cadastre-fr v2.0 started...
current cache directory: /home2/test/.josm-latest/plugins/cadastrewms/
shortcut F11 already redefined; do not change
Warning: Desktop class is not supported. Platform dependent fall back for open url in browser.
test@schleicher:~$ josm-latest 
Using /usr/lib/jvm/java-6-openjdk/bin/java to execute josm.
Repository Root: http://josm.openstreetmap.de/svn
Build-Date: 2010-12-07 02:31:23
Last Changed Author: bastiK
Revision: 3701
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
URL: http://josm.openstreetmap.de/svn/trunk
Last Changed Date: 2010-12-06 21:19:45 +0100 (Mon, 06 Dec 2010)
Last Changed Rev: 3701

lade Plugin 'remotecontrol' (Version 22734)
RemoteControl::Accepting connections on port 8111
lade Plugin 'imagery' (Version 24615)
ImageryPlugin: initializing remote control
RemoteControl: adding command "imagery" (handled by ImageryRemoteHandler)
lade Plugin 'cadastre-fr' (Version 22850)
Pluging cadastre-fr v2.0 started...
current cache directory: /home2/test/.josm-latest/plugins/cadastrewms/
shortcut F11 already redefined; do not change
^Ctest@schleicher:~$ josm-latest 
Using /usr/lib/jvm/java-6-openjdk/bin/java to execute josm.
Repository Root: http://josm.openstreetmap.de/svn
Build-Date: 2010-12-07 02:31:23
Last Changed Author: bastiK
Revision: 3701
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
URL: http://josm.openstreetmap.de/svn/trunk
Last Changed Date: 2010-12-06 21:19:45 +0100 (Mon, 06 Dec 2010)
Last Changed Rev: 3701

lade Plugin 'remotecontrol' (Version 22734)
RemoteControl::Accepting connections on port 8111
lade Plugin 'imagery' (Version 24615)
ImageryPlugin: initializing remote control
RemoteControl: adding command "imagery" (handled by ImageryRemoteHandler)
lade Plugin 'cadastre-fr' (Version 22850)
Pluging cadastre-fr v2.0 started...
current cache directory: /home2/test/.josm-latest/plugins/cadastrewms/
shortcut F11 already redefined; do not change
shortcut F11 already redefined; do not change
^Ctest@schleicher:~$ josm-latest 
Using /usr/lib/jvm/java-6-openjdk/bin/java to execute josm.
Repository Root: http://josm.openstreetmap.de/svn
Build-Date: 2010-12-07 02:31:23
Last Changed Author: bastiK
Revision: 3701
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
URL: http://josm.openstreetmap.de/svn/trunk
Last Changed Date: 2010-12-06 21:19:45 +0100 (Mon, 06 Dec 2010)
Last Changed Rev: 3701

lade Plugin 'remotecontrol' (Version 22734)
RemoteControl::Accepting connections on port 8111
lade Plugin 'imagery' (Version 24615)
ImageryPlugin: initializing remote control
RemoteControl: adding command "imagery" (handled by ImageryRemoteHandler)
lade Plugin 'cadastre-fr' (Version 22850)
Pluging cadastre-fr v2.0 started...
current cache directory: /home2/test/.josm-latest/plugins/cadastrewms/
shortcut F11 already redefined; do not change
shortcut F11 already redefined; do not change
test@schleicher:~$ josm-latest 
Using /usr/lib/jvm/java-6-openjdk/bin/java to execute josm.
Repository Root: http://josm.openstreetmap.de/svn
Build-Date: 2010-12-07 02:31:23
Last Changed Author: bastiK
Revision: 3701
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
URL: http://josm.openstreetmap.de/svn/trunk
Last Changed Date: 2010-12-06 21:19:45 +0100 (Mon, 06 Dec 2010)
Last Changed Rev: 3701

lade Plugin 'remotecontrol' (Version 22734)
RemoteControl::Accepting connections on port 8111
lade Plugin 'cadastre-fr' (Version 22850)
Pluging cadastre-fr v2.0 started...
current cache directory: /home2/test/.josm-latest/plugins/cadastrewms/
shortcut F11 already redefined; do not change
GET http://api.openstreetmap.org/api/capabilities... OK
Kommunikation mit http://api.openstreetmap.org/api mittels Protokollversion 0.6 etabliert.
GET http://api.openstreetmap.org/api/0.6/map?bbox=7.8331661,47.9871212,7.834496499999999,47.989734999999996
Silent shortcut conflict: 'subwindow:conflict' moved by 'menu:Cadastre' to 'Alt+Umschalt+C'.
shortcut F11 already redefined; do not change
test@schleicher:~$ josm-latest 
Using /usr/lib/jvm/java-6-openjdk/bin/java to execute josm.
Repository Root: http://josm.openstreetmap.de/svn
Build-Date: 2010-12-07 02:31:23
Last Changed Author: bastiK
Revision: 3701
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
URL: http://josm.openstreetmap.de/svn/trunk
Last Changed Date: 2010-12-06 21:19:45 +0100 (Mon, 06 Dec 2010)
Last Changed Rev: 3701

lade Plugin 'remotecontrol' (Version 22734)
RemoteControl::Accepting connections on port 8111
lade Plugin 'imagery' (Version 24615)
ImageryPlugin: initializing remote control
RemoteControl: adding command "imagery" (handled by ImageryRemoteHandler)
lade Plugin 'cadastre-fr' (Version 22850)
Pluging cadastre-fr v2.0 started...
current cache directory: /home2/test/.josm-latest/plugins/cadastrewms/
shortcut F11 already redefined; do not change
Open file: /home2/test/sav.osm (85328 bytes)
Silent shortcut conflict: 'subwindow:conflict' moved by 'menu:Cadastre' to 'Alt+Umschalt+C'.
Added 24 attributions.
Got an attribution image 29x93
Detected best zoom 17.775260261497742
2010-12-08 03:34:09
Full thread dump OpenJDK Client VM (16.0-b13 mixed mode, sharing):

"OSMJobThread 1" daemon prio=10 tid=0x085a0800 nid=0x3b97 waiting on condition [0xb3f55000]
   java.lang.Thread.State: WAITING (parking)
	at sun.misc.Unsafe.park(Native Method)
	- parking to wait for  <0x85a40940> (a java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject)
	at java.util.concurrent.locks.LockSupport.park(LockSupport.java:186)
	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2043)
	at java.util.concurrent.LinkedBlockingQueue.take(LinkedBlockingQueue.java:386)
	at org.openstreetmap.gui.jmapviewer.JobDispatcher$JobThread.executeJobs(JobDispatcher.java:111)
	at org.openstreetmap.gui.jmapviewer.JobDispatcher$JobThread.run(JobDispatcher.java:98)

"Map Status Collector" daemon prio=10 tid=0x0878e000 nid=0x3b95 in Object.wait() [0xb3fa6000]
   java.lang.Thread.State: TIMED_WAITING (on object monitor)
	at java.lang.Object.wait(Native Method)
	at org.openstreetmap.josm.gui.MapStatus$Collector.run(MapStatus.java:149)
	- locked <0x856964c8> (a org.openstreetmap.josm.gui.MapStatus$Collector)
	at java.lang.Thread.run(Thread.java:636)

"pool-1-thread-1" prio=10 tid=0x086f0400 nid=0x3b92 waiting on condition [0xb3f04000]
   java.lang.Thread.State: WAITING (parking)
	at sun.misc.Unsafe.park(Native Method)
	- parking to wait for  <0x84a79000> (a java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject)
	at java.util.concurrent.locks.LockSupport.park(LockSupport.java:186)
	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2043)
	at java.util.concurrent.LinkedBlockingQueue.take(LinkedBlockingQueue.java:386)
	at java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1043)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1103)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:603)
	at java.lang.Thread.run(Thread.java:636)

"Timer-0" daemon prio=10 tid=0x0888cc00 nid=0x3b8b in Object.wait() [0xb3c15000]
   java.lang.Thread.State: TIMED_WAITING (on object monitor)
	at java.lang.Object.wait(Native Method)
	at java.util.TimerThread.mainLoop(Timer.java:531)
	- locked <0x854a0cc0> (a java.util.TaskQueue)
	at java.util.TimerThread.run(Timer.java:484)

"DestroyJavaVM" prio=10 tid=0x08416000 nid=0x3b71 waiting on condition [0x00000000]
   java.lang.Thread.State: RUNNABLE

"RemoteControl HTTP Server" daemon prio=10 tid=0x08595800 nid=0x3b8a runnable [0xb32e4000]
   java.lang.Thread.State: RUNNABLE
	at java.net.PlainSocketImpl.socketAccept(Native Method)
	at java.net.AbstractPlainSocketImpl.accept(AbstractPlainSocketImpl.java:358)
	at java.net.ServerSocket.implAccept(ServerSocket.java:470)
	at java.net.ServerSocket.accept(ServerSocket.java:438)
	at org.openstreetmap.josm.plugins.remotecontrol.HttpServer.run(HttpServer.java:51)

"TimerQueue" daemon prio=10 tid=0xb3aa8800 nid=0x3b86 waiting on condition [0xb3335000]
   java.lang.Thread.State: WAITING (parking)
	at sun.misc.Unsafe.park(Native Method)
	- parking to wait for  <0x84e50840> (a java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject)
	at java.util.concurrent.locks.LockSupport.park(LockSupport.java:186)
	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2043)
	at java.util.concurrent.DelayQueue.take(DelayQueue.java:189)
	at javax.swing.TimerQueue.run(TimerQueue.java:167)
	at java.lang.Thread.run(Thread.java:636)

"AWT-EventQueue-0" prio=10 tid=0x085adc00 nid=0x3b80 in Object.wait() [0xb4048000]
   java.lang.Thread.State: WAITING (on object monitor)
	at java.lang.Object.wait(Native Method)
	at java.lang.Object.wait(Object.java:502)
	at java.awt.EventQueue.getNextEvent(EventQueue.java:484)
	- locked <0x84a8eac8> (a java.awt.EventQueue)
	at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:247)
	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:200)
	at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:190)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:185)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:177)
	at java.awt.EventDispatchThread.run(EventDispatchThread.java:138)

"AWT-Shutdown" prio=10 tid=0x0859dc00 nid=0x3b7f in Object.wait() [0xb3ff7000]
   java.lang.Thread.State: WAITING (on object monitor)
	at java.lang.Object.wait(Native Method)
	at java.lang.Object.wait(Object.java:502)
	at sun.awt.AWTAutoShutdown.run(AWTAutoShutdown.java:281)
	- locked <0x84d37558> (a java.lang.Object)
	at java.lang.Thread.run(Thread.java:636)

"AWT-XAWT" daemon prio=10 tid=0x08581800 nid=0x3b7a runnable [0xb4099000]
   java.lang.Thread.State: RUNNABLE
	at sun.awt.X11.XToolkit.waitForEvents(Native Method)
	at sun.awt.X11.XToolkit.run(XToolkit.java:568)
	at sun.awt.X11.XToolkit.run(XToolkit.java:543)
	at java.lang.Thread.run(Thread.java:636)

"Java2D Disposer" daemon prio=10 tid=0x08547400 nid=0x3b79 in Object.wait() [0xb4155000]
   java.lang.Thread.State: WAITING (on object monitor)
	at java.lang.Object.wait(Native Method)
	at java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:133)
	- locked <0x84b3c868> (a java.lang.ref.ReferenceQueue$Lock)
	at java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:149)
	at sun.java2d.Disposer.run(Disposer.java:143)
	at java.lang.Thread.run(Thread.java:636)

"Low Memory Detector" daemon prio=10 tid=0x08482c00 nid=0x3b77 runnable [0x00000000]
   java.lang.Thread.State: RUNNABLE

"CompilerThread0" daemon prio=10 tid=0x08480c00 nid=0x3b76 waiting on condition [0x00000000]
   java.lang.Thread.State: RUNNABLE

"Signal Dispatcher" daemon prio=10 tid=0x0847f000 nid=0x3b75 waiting on condition [0x00000000]
   java.lang.Thread.State: RUNNABLE

"Finalizer" daemon prio=10 tid=0x08476c00 nid=0x3b74 in Object.wait() [0xb48f6000]
   java.lang.Thread.State: WAITING (on object monitor)
	at java.lang.Object.wait(Native Method)
	at java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:133)
	- locked <0x84981ed8> (a java.lang.ref.ReferenceQueue$Lock)
	at java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:149)
	at java.lang.ref.Finalizer$FinalizerThread.run(Finalizer.java:177)

"Reference Handler" daemon prio=10 tid=0x08475400 nid=0x3b73 in Object.wait() [0xb4947000]
   java.lang.Thread.State: WAITING (on object monitor)
	at java.lang.Object.wait(Native Method)
	at java.lang.Object.wait(Object.java:502)
	at java.lang.ref.Reference$ReferenceHandler.run(Reference.java:133)
	- locked <0x84981f60> (a java.lang.ref.Reference$Lock)

"VM Thread" prio=10 tid=0x08473c00 nid=0x3b72 runnable 

"VM Periodic Task Thread" prio=10 tid=0x08486400 nid=0x3b78 waiting on condition 

JNI global references: 2208

Heap
 def new generation   total 16384K, used 1645K [0x7f500000, 0x806c0000, 0x84850000)
  eden space 14592K,  11% used [0x7f500000, 0x7f69b3e8, 0x80340000)
  from space 1792K,   0% used [0x80500000, 0x80500180, 0x806c0000)
  to   space 1792K,   0% used [0x80340000, 0x80340000, 0x80500000)
 tenured generation   total 36268K, used 21759K [0x84850000, 0x86bbb000, 0x8ef00000)
   the space 36268K,  59% used [0x84850000, 0x85d8fdf0, 0x85d8fe00, 0x86bbb000)
 compacting perm gen  total 12288K, used 10082K [0x8ef00000, 0x8fb00000, 0x92f00000)
   the space 12288K,  82% used [0x8ef00000, 0x8f8d8970, 0x8f8d8a00, 0x8fb00000)
    ro space 10240K,  72% used [0x92f00000, 0x9364a9e0, 0x9364aa00, 0x93900000)
    rw space 12288K,  60% used [0x93900000, 0x9403b0d0, 0x9403b200, 0x94500000)


Attachments (0)

Change History (14)

comment:1 Changed 11 years ago by bastiK

Component: PluginCore imagery
Owner: changed from team to Upliner

comment:2 Changed 11 years ago by Upliner

Try to go to Imagery preferences and in the Settings tab uncheck the "Add to slippymap chooser"(maybe, it should be disabled by default?). The dump shows that the plugin cannot fetch the Bing attribution data(Maybe Microsoft servers are not responding?).

comment:3 Changed 11 years ago by Upliner

should be fixed in [o24652]. It fixes the stall if you don't use the Bing imagery in the download-dialog. However if you use Bing and loading the attribution hangs for some reason, I can nothing to do with it...

comment:4 in reply to:  3 Changed 11 years ago by skyper

Replying to Upliner:

should be fixed in [o24652]. It fixes the stall if you don't use the Bing imagery in the download-dialog. However if you use Bing and loading the attribution hangs for some reason, I can nothing to do with it...

Thanks, works so far, but can't we get some time-out. This way josm stalls and work can get lost.

skyper

comment:5 Changed 11 years ago by Upliner

OK, now I understand. Remote server requests shoud never be done in EDT.

comment:6 Changed 11 years ago by skyper

Priority: normalcritical

I changed priority because JOSM stalls and work can get lost.

comment:7 Changed 11 years ago by Upliner

Resolution: fixed
Status: newclosed

It's already fixed in [o24660]. I wanted to implement better solution, however current solution is better than nothing anyway.

comment:8 in reply to:  7 Changed 11 years ago by skyper

Resolution: fixed
Status: closedreopened

Replying to Upliner:

It's already fixed in [o24660]. I wanted to implement better solution, however current solution is better than nothing anyway.

The second part is not fixed for me. If I have done edits without an imagery-layer and then want to recheck with BING, JOSM still stalls. It needs some routine to give a message about unavailability and continue without the imagery-layer.

comment:9 Changed 11 years ago by Upliner

Please update the dump with new version of the imagery plugin.

comment:10 in reply to:  9 Changed 11 years ago by skyper

Replying to Upliner:

Please update the dump with new version of the imagery plugin.

Here you go:

Using /usr/lib/jvm/java-6-openjdk/bin/java to execute josm.
Repository Root: http://josm.openstreetmap.de/svn
Build-Date: 2010-12-09 02:31:30
Last Changed Author: bastiK
Revision: 3709
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
URL: http://josm.openstreetmap.de/svn/trunk
Last Changed Date: 2010-12-08 22:33:58 +0100 (Wed, 08 Dec 2010)
Last Changed Rev: 3709

lade Plugin 'remotecontrol' (Version 22734)
RemoteControl::Accepting connections on port 8111
lade Plugin 'imagery' (Version 24660)
ImageryPlugin: initializing remote control
RemoteControl: adding command "imagery" (handled by ImageryRemoteHandler)
lade Plugin 'cadastre-fr' (Version 22850)
Pluging cadastre-fr v2.0 started...
current cache directory: /home2/test/.josm-latest/plugins/cadastrewms/
shortcut F11 already redefined; do not change
Open file: /home2/test/sav.osm (1031731 bytes)
Silent shortcut conflict: 'subwindow:conflict' moved by 'menu:Cadastre' to 'Alt+Umschalt+C'.
shortcut F11 already redefined; do not change
2010-12-09 19:05:54
Full thread dump OpenJDK Client VM (16.0-b13 mixed mode, sharing):

"OSMJobThread 1" daemon prio=10 tid=0x09a14400 nid=0xf29 waiting on condition [0xb2bd1000]
   java.lang.Thread.State: WAITING (parking)
	at sun.misc.Unsafe.park(Native Method)
	- parking to wait for  <0x7fc93220> (a java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject)
	at java.util.concurrent.locks.LockSupport.park(LockSupport.java:186)
	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2043)
	at java.util.concurrent.LinkedBlockingQueue.take(LinkedBlockingQueue.java:386)
	at org.openstreetmap.gui.jmapviewer.JobDispatcher$JobThread.executeJobs(JobDispatcher.java:111)
	at org.openstreetmap.gui.jmapviewer.JobDispatcher$JobThread.run(JobDispatcher.java:98)

"Map Status Collector" daemon prio=10 tid=0x09e17000 nid=0xf23 in Object.wait() [0xb31fe000]
   java.lang.Thread.State: TIMED_WAITING (on object monitor)
	at java.lang.Object.wait(Native Method)
	at org.openstreetmap.josm.gui.MapStatus$Collector.run(MapStatus.java:149)
	- locked <0x85a902e8> (a org.openstreetmap.josm.gui.MapStatus$Collector)
	at java.lang.Thread.run(Thread.java:636)

"pool-1-thread-1" prio=10 tid=0x09bc8800 nid=0xf20 waiting on condition [0xb31ad000]
   java.lang.Thread.State: WAITING (parking)
	at sun.misc.Unsafe.park(Native Method)
	- parking to wait for  <0x84a2b778> (a java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject)
	at java.util.concurrent.locks.LockSupport.park(LockSupport.java:186)
	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2043)
	at java.util.concurrent.LinkedBlockingQueue.take(LinkedBlockingQueue.java:386)
	at java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1043)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1103)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:603)
	at java.lang.Thread.run(Thread.java:636)

"Timer-0" daemon prio=10 tid=0x098b2000 nid=0xf17 in Object.wait() [0xb3cad000]
   java.lang.Thread.State: TIMED_WAITING (on object monitor)
	at java.lang.Object.wait(Native Method)
	at java.util.TimerThread.mainLoop(Timer.java:531)
	- locked <0x853f8870> (a java.util.TaskQueue)
	at java.util.TimerThread.run(Timer.java:484)

"DestroyJavaVM" prio=10 tid=0x097b9000 nid=0xefd waiting on condition [0x00000000]
   java.lang.Thread.State: RUNNABLE

"RemoteControl HTTP Server" daemon prio=10 tid=0x09b6a000 nid=0xf16 runnable [0xb33e9000]
   java.lang.Thread.State: RUNNABLE
	at java.net.PlainSocketImpl.socketAccept(Native Method)
	at java.net.AbstractPlainSocketImpl.accept(AbstractPlainSocketImpl.java:358)
	at java.net.ServerSocket.implAccept(ServerSocket.java:470)
	at java.net.ServerSocket.accept(ServerSocket.java:438)
	at org.openstreetmap.josm.plugins.remotecontrol.HttpServer.run(HttpServer.java:51)

"TimerQueue" daemon prio=10 tid=0x09bbac00 nid=0xf12 waiting on condition [0xb343a000]
   java.lang.Thread.State: WAITING (parking)
	at sun.misc.Unsafe.park(Native Method)
	- parking to wait for  <0x84e2c278> (a java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject)
	at java.util.concurrent.locks.LockSupport.park(LockSupport.java:186)
	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2043)
	at java.util.concurrent.DelayQueue.take(DelayQueue.java:189)
	at javax.swing.TimerQueue.run(TimerQueue.java:167)
	at java.lang.Thread.run(Thread.java:636)

"AWT-EventQueue-0" prio=10 tid=0x0998d000 nid=0xf0c runnable [0xb40d2000]
   java.lang.Thread.State: RUNNABLE
	at java.net.SocketInputStream.socketRead0(Native Method)
	at java.net.SocketInputStream.read(SocketInputStream.java:146)
	at java.io.BufferedInputStream.fill(BufferedInputStream.java:235)
	at java.io.BufferedInputStream.read1(BufferedInputStream.java:275)
	at java.io.BufferedInputStream.read(BufferedInputStream.java:334)
	- locked <0x7fcaf6c8> (a java.io.BufferedInputStream)
	at sun.net.www.http.ChunkedInputStream.fastRead(ChunkedInputStream.java:239)
	at sun.net.www.http.ChunkedInputStream.read(ChunkedInputStream.java:680)
	- locked <0x7fcb1ed8> (a sun.net.www.http.ChunkedInputStream)
	at java.io.FilterInputStream.read(FilterInputStream.java:133)
	at sun.net.www.protocol.http.HttpURLConnection$HttpInputStream.read(HttpURLConnection.java:2582)
	at com.sun.org.apache.xerces.internal.impl.XMLEntityManager$RewindableInputStream.read(XMLEntityManager.java:2938)
	at com.sun.org.apache.xerces.internal.impl.io.UTF8Reader.read(UTF8Reader.java:302)
	at com.sun.org.apache.xerces.internal.impl.XMLEntityScanner.load(XMLEntityScanner.java:1719)
	at com.sun.org.apache.xerces.internal.impl.XMLEntityScanner.arrangeCapacity(XMLEntityScanner.java:1596)
	at com.sun.org.apache.xerces.internal.impl.XMLEntityScanner.skipString(XMLEntityScanner.java:1634)
	at com.sun.org.apache.xerces.internal.impl.XMLDocumentFragmentScannerImpl.scanEndElement(XMLDocumentFragmentScannerImpl.java:1725)
	at com.sun.org.apache.xerces.internal.impl.XMLDocumentFragmentScannerImpl$FragmentContentDriver.next(XMLDocumentFragmentScannerImpl.java:2915)
	at com.sun.org.apache.xerces.internal.impl.XMLDocumentScannerImpl.next(XMLDocumentScannerImpl.java:625)
	at com.sun.org.apache.xerces.internal.impl.XMLNSDocumentScannerImpl.next(XMLNSDocumentScannerImpl.java:116)
	at com.sun.org.apache.xerces.internal.impl.XMLDocumentFragmentScannerImpl.scanDocument(XMLDocumentFragmentScannerImpl.java:488)
	at com.sun.org.apache.xerces.internal.parsers.XML11Configuration.parse(XML11Configuration.java:812)
	at com.sun.org.apache.xerces.internal.parsers.XML11Configuration.parse(XML11Configuration.java:741)
	at com.sun.org.apache.xerces.internal.parsers.XMLParser.parse(XMLParser.java:123)
	at com.sun.org.apache.xerces.internal.parsers.AbstractSAXParser.parse(AbstractSAXParser.java:1208)
	at org.openstreetmap.josm.plugins.imagery.tms.BingAerialTileSource.loadAttributionText(BingAerialTileSource.java:110)
	at org.openstreetmap.josm.plugins.imagery.tms.BingAerialTileSource.access$100(BingAerialTileSource.java:21)
	at org.openstreetmap.josm.plugins.imagery.tms.BingAerialTileSource$1.run(BingAerialTileSource.java:32)
	at java.lang.Thread.run(Thread.java:636)
	at org.openstreetmap.josm.plugins.imagery.tms.BingAerialTileSource.<init>(BingAerialTileSource.java:37)
	at org.openstreetmap.josm.plugins.imagery.tms.TMSPreferences.getTileSource(TMSPreferences.java:95)
	at org.openstreetmap.josm.plugins.imagery.tms.TMSLayer.<init>(TMSLayer.java:185)
	at org.openstreetmap.josm.plugins.imagery.ImageryLayer.create(ImageryLayer.java:105)
	at org.openstreetmap.josm.plugins.imagery.AddImageryLayerAction.actionPerformed(AddImageryLayerAction.java:22)
	at javax.swing.AbstractButton.fireActionPerformed(AbstractButton.java:2012)
	at javax.swing.AbstractButton$Handler.actionPerformed(AbstractButton.java:2335)
	at javax.swing.DefaultButtonModel.fireActionPerformed(DefaultButtonModel.java:404)
	at javax.swing.DefaultButtonModel.setPressed(DefaultButtonModel.java:259)
	at javax.swing.AbstractButton.doClick(AbstractButton.java:374)
	at javax.swing.plaf.basic.BasicMenuItemUI.doClick(BasicMenuItemUI.java:829)
	at javax.swing.plaf.basic.BasicMenuItemUI$Handler.mouseReleased(BasicMenuItemUI.java:873)
	at java.awt.AWTEventMulticaster.mouseReleased(AWTEventMulticaster.java:289)
	at java.awt.Component.processMouseEvent(Component.java:6108)
	at javax.swing.JComponent.processMouseEvent(JComponent.java:3267)
	at java.awt.Component.processEvent(Component.java:5873)
	at java.awt.Container.processEvent(Container.java:2105)
	at java.awt.Component.dispatchEventImpl(Component.java:4469)
	at java.awt.Container.dispatchEventImpl(Container.java:2163)
	at java.awt.Component.dispatchEvent(Component.java:4295)
	at java.awt.LightweightDispatcher.retargetMouseEvent(Container.java:4461)
	at java.awt.LightweightDispatcher.processMouseEvent(Container.java:4125)
	at java.awt.LightweightDispatcher.dispatchEvent(Container.java:4055)
	at java.awt.Container.dispatchEventImpl(Container.java:2149)
	at java.awt.Window.dispatchEventImpl(Window.java:2478)
	at java.awt.Component.dispatchEvent(Component.java:4295)
	at java.awt.EventQueue.dispatchEvent(EventQueue.java:604)
	at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:275)
	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:200)
	at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:190)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:185)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:177)
	at java.awt.EventDispatchThread.run(EventDispatchThread.java:138)

"AWT-Shutdown" prio=10 tid=0x0998c800 nid=0xf0b in Object.wait() [0xb4081000]
   java.lang.Thread.State: WAITING (on object monitor)
	at java.lang.Object.wait(Native Method)
	at java.lang.Object.wait(Object.java:502)
	at sun.awt.AWTAutoShutdown.run(AWTAutoShutdown.java:281)
	- locked <0x84d07890> (a java.lang.Object)
	at java.lang.Thread.run(Thread.java:636)

"AWT-XAWT" daemon prio=10 tid=0x09923c00 nid=0xf06 runnable [0xb4123000]
   java.lang.Thread.State: RUNNABLE
	at sun.awt.X11.XToolkit.waitForEvents(Native Method)
	at sun.awt.X11.XToolkit.run(XToolkit.java:568)
	at sun.awt.X11.XToolkit.run(XToolkit.java:543)
	at java.lang.Thread.run(Thread.java:636)

"Java2D Disposer" daemon prio=10 tid=0x098e4800 nid=0xf05 in Object.wait() [0xb41de000]
   java.lang.Thread.State: WAITING (on object monitor)
	at java.lang.Object.wait(Native Method)
	at java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:133)
	- locked <0x84b056b0> (a java.lang.ref.ReferenceQueue$Lock)
	at java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:149)
	at sun.java2d.Disposer.run(Disposer.java:143)
	at java.lang.Thread.run(Thread.java:636)

"Low Memory Detector" daemon prio=10 tid=0x09825c00 nid=0xf03 runnable [0x00000000]
   java.lang.Thread.State: RUNNABLE

"CompilerThread0" daemon prio=10 tid=0x09823c00 nid=0xf02 waiting on condition [0x00000000]
   java.lang.Thread.State: RUNNABLE

"Signal Dispatcher" daemon prio=10 tid=0x09822000 nid=0xf01 waiting on condition [0x00000000]
   java.lang.Thread.State: RUNNABLE

"Finalizer" daemon prio=10 tid=0x09819c00 nid=0xf00 in Object.wait() [0xb4980000]
   java.lang.Thread.State: WAITING (on object monitor)
	at java.lang.Object.wait(Native Method)
	at java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:133)
	- locked <0x848619c0> (a java.lang.ref.ReferenceQueue$Lock)
	at java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:149)
	at java.lang.ref.Finalizer$FinalizerThread.run(Finalizer.java:177)

"Reference Handler" daemon prio=10 tid=0x09818400 nid=0xeff in Object.wait() [0xb49d1000]
   java.lang.Thread.State: WAITING (on object monitor)
	at java.lang.Object.wait(Native Method)
	at java.lang.Object.wait(Object.java:502)
	at java.lang.ref.Reference$ReferenceHandler.run(Reference.java:133)
	- locked <0x84861a48> (a java.lang.ref.Reference$Lock)

"VM Thread" prio=10 tid=0x09816c00 nid=0xefe runnable 

"VM Periodic Task Thread" prio=10 tid=0x09829400 nid=0xf04 waiting on condition 

JNI global references: 2307

Heap
 def new generation   total 19328K, used 10267K [0x7f500000, 0x809f0000, 0x84850000)
  eden space 17216K,  47% used [0x7f500000, 0x7fd0f950, 0x805d0000)
  from space 2112K,  95% used [0x807e0000, 0x809d73a8, 0x809f0000)
  to   space 2112K,   0% used [0x805d0000, 0x805d0000, 0x807e0000)
 tenured generation   total 42780K, used 38022K [0x84850000, 0x87217000, 0x8ef00000)
   the space 42780K,  88% used [0x84850000, 0x86d71bc0, 0x86d71c00, 0x87217000)
 compacting perm gen  total 12288K, used 11455K [0x8ef00000, 0x8fb00000, 0x92f00000)
   the space 12288K,  93% used [0x8ef00000, 0x8fa2fc30, 0x8fa2fe00, 0x8fb00000)
    ro space 10240K,  72% used [0x92f00000, 0x9364a9e0, 0x9364aa00, 0x93900000)
    rw space 12288K,  60% used [0x93900000, 0x9403b0d0, 0x9403b200, 0x94500000)

comment:11 Changed 11 years ago by skyper

Strange, I do not get BING to work the last days on this fresh system using webkit-image-gtk from sid, but if I use slippymap it works.

comment:12 Changed 11 years ago by Upliner

Resolution: fixed
Status: reopenedclosed

OK, should be fixed now(version 24670)

comment:13 Changed 11 years ago by Upliner

In [3725/josm]:

Don't show Bing tiles until attribution data is loaded, re #5715

comment:14 in reply to:  12 Changed 11 years ago by skyper

Replying to Upliner:

OK, should be fixed now(version 24670)

Thanks a lot !

Since yesterday, BING works again with imagery (r3721).

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain Upliner.
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.